cURL
curl --request POST \
--url https://api.contiguity.com/send/text \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"to": "+1234567890"
}
'import requests
url = "https://api.contiguity.com/send/text"
payload = { "to": "+1234567890" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({to: '+1234567890'})
};
fetch('https://api.contiguity.com/send/text', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "req_xxxxxxxxxxxxxxxx",
"timestamp": 1787117739720,
"api_version": "v2026.8.19",
"object": "response",
"data": {
"message_id": "text_1234567890"
}
}{
"id": "err_xxxxxxxxxxxxxxxx",
"timestamp": 1787117739720,
"api_version": "v2026.8.19",
"object": "error",
"data": {
"error": "Bad Request",
"status": 400
}
}{
"id": "err_xxxxxxxxxxxxxxxx",
"timestamp": 1787117739720,
"api_version": "v2026.8.19",
"object": "error",
"data": {
"error": "Unauthorized",
"status": 401
}
}{
"id": "err_xxxxxxxxxxxxxxxx",
"timestamp": 1787117739720,
"api_version": "v2026.8.19",
"object": "error",
"data": {
"error": "Forbidden",
"status": 403
}
}{
"id": "err_xxxxxxxxxxxxxxxx",
"timestamp": 1787117739720,
"api_version": "v2026.8.19",
"object": "error",
"data": {
"error": "Internal Server Error",
"status": 500
}
}Text
Send Attachments
POST
/
text
cURL
MMS is in public beta. We’re still understanding the limits of our implementation – if you encounter any issues, join our Discord!Note: MMS is limited to 5MB (cumulative), across 3 attachments.
Contiguity will fully support jpeg/jpg, png, and gif. We will accept & attempt to send a number of other content types, however depending on the carrier and device of the end user these messages may not be successfully received.
Confirmed file types that work:
- Images (JPEG, JPG, PNG, GIF)
- Videos (MP4, MOV)
- Audio (MP3)
- Documents (PDF)
File types that experience issues:
- WEBP
- Some images?
- SVGs
attachments parameter.

Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Recipient's phone number. Must be in E.164 format
Example:
"+1234567890"
If you lease a phone number from Contiguity, you can use a specific one by providing it here.
Example:
"+15555555555"
Message to send. Required unless attachments are provided.
Example:
"Hello, world!"
Attachments to send. Must be HTTPS-secured URLs with file extensions. Max 3 attachments, 5MB cumulative size.
Maximum array length:
3Example:
["https://example.com/image.png"]
Fast-track your request (bypassing any recommended rate limiting). Only available on leased numbers. Requires acceptance of the Fast Track Terms.
Was this page helpful?